using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace WPWCFClient
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            InitializeComponent();

            SupportedOrientations = SupportedPageOrientation.Portrait | SupportedPageOrientation.Landscape;
        }

        private void btnLoadWCFData_Click(object sender, RoutedEventArgs e)
        {
            WcfServicePersonen.PersonServiceClient psc = new WcfServicePersonen.PersonServiceClient();
            psc.GetPersonenCompleted += psc_GetPersonenCompleted;
            psc.GetPersonenAsync();
        }

        void psc_GetPersonenCompleted(object sender, WcfServicePersonen.GetPersonenCompletedEventArgs e)
        {
            if (e.Result != null)
            {
                lbPersonen.ItemsSource = e.Result.ToList<WcfServicePersonen.Person>();
            }
        }
    }
}